Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451216 - Close connection is failing against RHEL4 broker
Summary: Close connection is failing against RHEL4 broker
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: 1.1
Hardware: All
OS: Linux
medium
high
Target Milestone: Next Version
: ---
Assignee: Justin Ross
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 13:30 UTC by Jeff Needle
Modified: 2011-08-12 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-15 21:53:55 UTC


Attachments (Terms of Use)

Description Jeff Needle 2008-06-13 13:30:44 UTC
Close connection is failing for me - cumin reports "UnkownObject" and I'm seeing
tracebacks like those below.  Broker is running on
dhcp-10-16-61-236.boston.devel.redhat.com:5672 (rhel4) and cumin is running on
10.16.47.85 (rhel5, obviously)

Close Connection '10.16.47.85:52278'	1 min, 29 secs ago	Failed: UnknownObject
Close Connection '10.16.47.85:52281'	2 mins ago	Failed: UnknownObject
Close Connection '10.16.47.85:52278'	4 mins, 51 secs ago	Failed: UnknownObject

Exception in thread Thread-29:
Traceback (most recent call last):
  File "/usr/lib64/python2.4/threading.py", line 442, in __bootstrap
    self.run()
  File "/usr/lib64/python2.4/threading.py", line 422, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.4/site-packages/qpid/queue.py", line 85, in run
    self.exc_listener(e)
  File "/usr/lib/python2.4/site-packages/qpid/management.py", line 147, in
exceptionCb
    self.ecb (self, data)
  File "/usr/lib/python2.4/site-packages/qpid/management.py", line 338, in exceptCb
    self.closeCb (ch.context, data)
  File "/usr/lib/python2.4/site-packages/mint/__init__.py", line 561, in
closeCallback
    del self.connections[brokerId]
KeyError: 'dhcp-10-16-61-236.boston.devel.redhat.com:5672'

Comment 1 Matthew Farrellee 2010-09-15 21:53:55 UTC
Please re-open if still an issue for cumin-0.1.4279-1.el5.noarch


Note You need to log in before you can comment on or make changes to this bug.